### Method

# Gtk Widgetset_css_classes

#### Declaration [src]

    void
    gtk_widget_set_css_classes (
      GtkWidget* widget,
      const char** classes
    )

#### Description [src]

Clear all style classes applied to `widget` and replace them with `classes`.

Sets property | `Gtk.Widget:css-classes`

#### Parameters

`classes`

  Type: An array of `char*`

  `NULL`-terminated list of style classes to apply to `widget`.

  The array must be `NULL`-terminated.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.